Package com.ocient.jdbc.proto

# Interface PlanProtocol.ColumnInfoOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.ColumnInfo`, `PlanProtocol.ColumnInfo.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.ColumnInfoOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`com.google.protobuf.ByteString` | `getColumnUuid()` | `bytes column_uuid = 3;`
`PlanProtocol.ColumnInfo.DecimalInfo` | `getDecimalInfo()` | `.xg.db.sqlPlans.ColumnInfo.DecimalInfo decimal_info = 20;`
`PlanProtocol.ColumnInfo.DecimalInfoOrBuilder` | `getDecimalInfoOrBuilder()` | `.xg.db.sqlPlans.ColumnInfo.DecimalInfo decimal_info = 20;`
`PlanProtocol.ColumnInfo.DefaultExpression` | `getDefaultExpression()` | `.xg.db.sqlPlans.ColumnInfo.DefaultExpression default_expression = 4;`
`PlanProtocol.ColumnInfo.DefaultExpressionOrBuilder` | `getDefaultExpressionOrBuilder()` | `.xg.db.sqlPlans.ColumnInfo.DefaultExpression default_expression = 4;`
`PlanProtocol.ColumnInfo.ExtraMetadataCase` | `getExtraMetadataCase()` |
`boolean` | `getIsCompressed()` | `bool is_compressed = 1;`
`int` | `getOrdinal()` | `uint32 ordinal = 2;`
`boolean` | `hasDecimalInfo()` | `.xg.db.sqlPlans.ColumnInfo.DecimalInfo decimal_info = 20;`
`boolean` | `hasDefaultExpression()` | `.xg.db.sqlPlans.ColumnInfo.DefaultExpression default_expression = 4;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getIsCompressed

boolean getIsCompressed()
`bool is_compressed = 1;`

### getOrdinal

int getOrdinal()
`uint32 ordinal = 2;`

### getColumnUuid

com.google.protobuf.ByteString getColumnUuid()
`bytes column_uuid = 3;`

### hasDefaultExpression

boolean hasDefaultExpression()
`.xg.db.sqlPlans.ColumnInfo.DefaultExpression default_expression = 4;`

### getDefaultExpression

PlanProtocol.ColumnInfo.DefaultExpression getDefaultExpression()
`.xg.db.sqlPlans.ColumnInfo.DefaultExpression default_expression = 4;`

### getDefaultExpressionOrBuilder

PlanProtocol.ColumnInfo.DefaultExpressionOrBuilder getDefaultExpressionOrBuilder()
`.xg.db.sqlPlans.ColumnInfo.DefaultExpression default_expression = 4;`

### hasDecimalInfo

boolean hasDecimalInfo()
`.xg.db.sqlPlans.ColumnInfo.DecimalInfo decimal_info = 20;`

### getDecimalInfo

PlanProtocol.ColumnInfo.DecimalInfo getDecimalInfo()
`.xg.db.sqlPlans.ColumnInfo.DecimalInfo decimal_info = 20;`

### getDecimalInfoOrBuilder

PlanProtocol.ColumnInfo.DecimalInfoOrBuilder getDecimalInfoOrBuilder()
`.xg.db.sqlPlans.ColumnInfo.DecimalInfo decimal_info = 20;`

### getExtraMetadataCase

PlanProtocol.ColumnInfo.ExtraMetadataCase getExtraMetadataCase()